local VillageDeco = ...

--register Walls
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Fence_Part", "PREFAB_IRON_FENCE_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Iron_Fence_Part", "PREFAB_IRON_FENCE_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Fence_Fleur_Part", "PREFAB_IRON_FENCE_FLEUR_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Iron_Fence_Fleur_Part", "PREFAB_IRON_FENCE_FLEUR_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Stone_Wall_Part", "PREFAB_STONE_WALL_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Stone_Wall_Part", "PREFAB_STONE_WALL_LIGHT")

--register Dark Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pillar1_Part", "PREFAB_PILLAR1_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pillar2_Part", "PREFAB_PILLAR2_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Part", "PREFAB_BRICK_PILLAR_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Arch_Part", "PREFAB_ARCH_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Part", "PREFAB_FENCE_SINGLE_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Broken_Wall_Part", "PREFAB_BROKEN_WALL_DARK")

--register Light Parts
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pillar1_Part", "PREFAB_PILLAR1_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pillar2_Part", "PREFAB_PILLAR2_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Part", "PREFAB_BRICK_PILLAR_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Arch_Part", "PREFAB_ARCH_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Part", "PREFAB_FENCE_SINGLE_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Broken_Wall_Part", "PREFAB_BROKEN_WALL_LIGHT")

--register Decoration Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", "PREFAB_IRON_GATE_LOCK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", "PREFAB_IRON_GATE_SINGLE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", "PREFAB_IRON_GATE_DOOR")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Cross_Part", "PREFAB_CROSS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Lantern_Part", "PREFAB_LANTERN")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fleurdelis_Part", "PREFAB_FLEURDELIS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brazier_On_Part", "PREFAB_BRAZIER_ON")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brazier_Off_Part", "PREFAB_BRAZIER_OFF")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", "PREFAB_ORNAMENT_FLEUR")
VillageDeco:registerAssetId("models/fence.png", "TEXTURE_FENCE")

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRON_FENCE_DARK",
	WallConfigName = "IRON_FENCE_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRON_FENCE_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRON_FENCE_LIGHT",
	WallConfigName = "IRON_FENCE_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRON_FENCE_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRON_FENCE_FLEUR_DARK",
	WallConfigName = "IRON_FENCE_FLEUR_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRON_FENCE_FLEUR_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRON_FENCE_FLEUR_LIGHT",
	WallConfigName = "IRON_FENCE_FLEUR_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRON_FENCE_FLEUR_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "STONE_WALL_DARK",
	WallConfigName = "STONE_WALL_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_STONE_WALL_DARK",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "STONE_WALL_LIGHT",
	WallConfigName = "STONE_WALL_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_STONE_WALL_LIGHT",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE_SINGLE_DARK",
	Name = "FENCE_SINGLE_DARK_NAME",
	Description = "FENCE_SINGLE_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE_SINGLE_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE_SINGLE_LIGHT",
	Name = "FENCE_SINGLE_LIGHT_NAME",
	Description = "FENCE_SINGLE_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = {
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE_SINGLE_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_STONE_WALL_DARK",
	Name = "STONE_WALL_DARK_NAME",
	Description = "STONE_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_STONE_WALL_LIGHT",
	Name = "STONE_WALL_LIGHT_NAME",
	Description = "STONE_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_DARK",
	Name = "BRICK_WALL_DARK_NAME",
	Description = "BRICK_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_LIGHT",
	Name = "BRICK_WALL_LIGHT_NAME",
	Description = "BRICK_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BROKEN_WALL_DARK",
	Name = "BROKEN_WALL_DARK_NAME",
	Description = "BROKEN_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROKEN_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BROKEN_WALL_LIGHT",
	Name = "BROKEN_WALL_LIGHT_NAME",
	Description = "BROKEN_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROKEN_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR1_DARK",
	Name = "PILLAR1_DARK_NAME",
	Description = "PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR1_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR1_LIGHT",
	Name = "PILLAR1_LIGHT_NAME",
	Description = "PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR1_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR2_DARK",
	Name = "PILLAR2_DARK_NAME",
	Description = "PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR2_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR2_LIGHT",
	Name = "PILLAR2_LIGHT_NAME",
	Description = "PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR2_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_DARK",
	Name = "BRICK_PILLAR_DARK_NAME",
	Description = "BRICK_PILLAR_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_LIGHT",
	Name = "BRICK_PILLAR_LIGHT_NAME",
	Description = "BRICK_PILLAR_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_DARK",
	Name = "ARCH_DARK_NAME",
	Description = "ARCH_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_LIGHT",
	Name = "ARCH_LIGHT_NAME",
	Description = "ARCH_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_LOCK",
	Name = "IRON_GATE_LOCK_NAME",
	Description = "IRON_GATE_LOCK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_LOCK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_SINGLE",
	Name = "IRON_GATE_SINGLE_NAME",
	Description = "IRON_GATE_SINGLE_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_SINGLE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_DOOR",
	Name = "IRON_GATE_DOOR_NAME",
	Description = "IRON_GATE_DOOR_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_DOOR"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CROSS",
	Name = "CROSS_NAME",
	Description = "CROSS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CROSS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_LANTERN",
	Name = "LANTERN_NAME",
	Description = "LANTERN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LANTERN"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLEURDELIS",
	Name = "FLEURDELIS_NAME",
	Description = "FLEURDELIS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLEURDELIS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRAZIER_ON",
	Name = "BRAZIER_ON_NAME",
	Description = "BRAZIER_ON_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRAZIER_ON"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRAZIER_OFF",
	Name = "BRAZIER_OFF_NAME",
	Description = "BRAZIER_OFF_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRAZIER_OFF"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR",
	Name = "ORNAMENT_FLEUR_NAME",
	Description = "ORNAMENT_FLEUR_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR"
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Broken_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Broken_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Lantern_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fleurdelis_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brazier_On_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true,
	FeedbackComponentListToActivate = {
		{ "SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brazier_Off_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brazier_On_Part/SmokeEmitter", "SMOKE_EMITTER_PREFAB")

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brazier_On_Part/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

VillageDeco:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})